Package com.google.android.exoplayer2.extractor.ts

## Class SeiReader

- java.lang.Object
- - com.google.android.exoplayer2.extractor.ts.SeiReader

-     public final class SeiReader
      extends Object

  Consumes SEI buffers, outputting contained CEA-608/708 messages to a `TrackOutput`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeiReader​(List<Format> closedCaptionFormats)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `consume​(long pesTimeUs, ParsableByteArray seiBuffer)` |
    `void` | `createTracks​(ExtractorOutput extractorOutput, TsPayloadReader.TrackIdGenerator idGenerator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeiReader

          public SeiReader​(List<Format> closedCaptionFormats)

      Parameters:
        `closedCaptionFormats` - A list of formats for the closed caption channels to expose.

  - ### Method Detail

    - #### createTracks

          public void createTracks​(ExtractorOutput extractorOutput,
                                   TsPayloadReader.TrackIdGenerator idGenerator)

    - #### consume

          public void consume​(long pesTimeUs,
                              ParsableByteArray seiBuffer)